org.h2.mode

## Class FunctionsDB2Derby

- java.lang.Object
- - org.h2.expression.Expression
  - - org.h2.expression.OperationN
    - - org.h2.expression.function.FunctionN
      - - org.h2.mode.ModeFunction
        - - org.h2.mode.FunctionsDB2Derby

All Implemented Interfaces:
  ExpressionWithVariableParameters, NamedExpression, HasSQL, Typed

    public final class FunctionsDB2Derby
    extends ModeFunction

Functions for `Mode.ModeEnum.DB2` and `Mode.ModeEnum.Derby` compatibility modes.

### Field Summary

### Fields inherited from class org.h2.mode.ModeFunction

`info, VAR_ARGS`

### Fields inherited from class org.h2.expression.OperationN

`args, argsCount, type`

### Fields inherited from class org.h2.expression.Expression

`AUTO_PARENTHESES, MAP_IN_AGGREGATE, MAP_IN_WINDOW, MAP_INITIAL, WITH_PARENTHESES, WITHOUT_PARENTHESES`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FunctionsDB2Derby` `getFunction(java.lang.String upperName)` Returns mode-specific function for a given name, or `null`.
`Value` `getValue(SessionLocal session)` Return the resulting value for the current row.
`Expression` `optimize(SessionLocal session)` Try to optimize the expression.

### Methods inherited from class org.h2.mode.ModeFunction

`doneWithParameters, getCompatibilityDateTimeValueFunction, getFunction, getName, isEverything`

### Methods inherited from class org.h2.expression.function.FunctionN

`getUnenclosedSQL, getValue`

### Methods inherited from class org.h2.expression.OperationN

`addParameter, getCost, getSubexpression, getSubexpressionCount, getType, mapColumns, optimizeArguments, setEvaluatable, updateAggregate`

### Methods inherited from class org.h2.expression.Expression

`addFilterConditions, createIndexConditions, getAlias, getBooleanValue, getColumnName, getColumnNameForView, getEnclosedSQL, getNonAliasExpression, getNotIfPossible, getNullable, getSchemaName, getSQL, getSQL, getSQL, getSQL, getTableAlias, getTableName, getWhenSQL, getWhenValue, isConstant, isIdentity, isNullConstant, isValueSet, isWhenConditionOperand, needParentheses, optimizeCondition, toString, writeExpressions, writeExpressions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getTraceSQL`

### Method Detail

#### getFunction

    public static FunctionsDB2Derby getFunction(java.lang.String upperName)

Returns mode-specific function for a given name, or `null`.

Parameters:
  `upperName` - the upper-case name of a function
Returns:
  the function with specified name or `null`

#### getValue

    public Value getValue(SessionLocal session)

Description copied from class: `Expression`
Return the resulting value for the current row.

Overrides:
  `getValue` in class `FunctionN`
Parameters:
  `session` - the session
Returns:
  the result

#### optimize

    public Expression optimize(SessionLocal session)

Description copied from class: `Expression`
Try to optimize the expression.

Specified by:
  `optimize` in class `Expression`
Parameters:
  `session` - the session
Returns:
  the optimized expression